#include "Presenter.h"
#include "EContext.h"

bool UPresenter::ShouldPresent() const
{
	return false;
}

void UPresenter::OnContextUnfocus(EContext context)
{

}

void UPresenter::OnContextFocus(EContext context)
{

}

void UPresenter::OnContextChanged(EContext context)
{

}

bool UPresenter::IsContextReady() const
{
	return false;
}

TArray<FString> UPresenter::GetIgnoredPresentationRequirementFunctionOptions()
{
	return TArray<FString>();
}

UPresenter::UPresenter()
{
	this->_overrideWidgetInstantiationPhase = false;
	this->_widgetInstantiationPhase = EPresenterPhase::StartPresenting;
	this->InitialVisibility = ESlateVisibility::SelfHitTestInvisible;
	this->_widgetZOrder = 0;
	this->_filter = 0;
	this->_currencyFilter = 0;
}
